Package com.xebialabs.deployit.plugin.api.udm

## Interface IDictionary

- All Superinterfaces:
    `ConfigurationItem`, `java.io.Serializable`
  All Known Subinterfaces:
    `IEncryptedDictionary`
  All Known Implementing Classes:
    `AbstractDictionary`, `Dictionary`, `EncryptedDictionary`

      public interface IDictionary
      extends ConfigurationItem

  Provide methods to get a value by key from a storage.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IDictionary.DictionaryContext` | Context used when processing dictionaries for a deployment.

  - ### Field Summary

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IDictionary` | `applyTo​(IDictionary.DictionaryContext context)` | Return a view on this dictionary as applicable to the given context.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getEntries()` |
    `java.lang.String` | `getValue​(java.lang.String key)` |

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Method Detail

    - #### getValue

          java.lang.String getValue​(java.lang.String key)

      Parameters:
        `key` - The key of a dictionary entry.
      Returns:
        The value associated with the given key.

    - #### getEntries

          java.util.Map<java.lang.String,​java.lang.String> getEntries()

      Returns:
        The dictionary entries.

    - #### applyTo

          IDictionary applyTo​(IDictionary.DictionaryContext context)

      Return a view on this dictionary as applicable to the given context.
      Parameters:
        `context` - The context to generate the view for.
      Returns:
        a dictionary tailored for the given context. Can be `this` if no adjustments are required or `null` if the dictionary is not applicable to the given context.